## Interface IStyleable

Description

IStyleable interface.

This interface should be implemented by classes that support CSS styles.

- since: 3.1.0
- version: $Id: interfaces.php 1693 2007-02-13 04:33:05Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /interfaces.php (line 303)

Method Summary
void clearStyle ()
boolean getHasStyle ()
TStyle getStyle ()
Methods
clearStyle (line 316)

Removes all styles associated with the object

- access: public

void clearStyle ()
getHasStyle (line 308)

- return: whether the object has defined any style information
- access: public

boolean getHasStyle ()
getStyle (line 312)

- return: the object representing the css style of the object
- access: public

TStyle getStyle ()

Documentation generated on Mon, 21 Apr 2008 11:29:23 -0400 by phpDocumentor 1.3.0RC4